.Dd Apr 25, 2010
.Dt weller 1
.Sh NAME
.Nm weller
.Nd Console Client for Pickwick Chat Server
.Sh SYNOPSIS
.Nm weller Oo -t Ao filename Ac Oc Ao hostname Ac Oo Ao port Ac Oc
.Sh DESCRIPTION
Weller is the client program for the pickwick(8) small group chat server.
Weller requires the hostname on which pickwick is listening to be provided
as a command-line argument.  If pickwick is not listening on port 7331,
then the appropriate port number must be provided as a second command-line
argument.  The arguments may be preceded by the "-t" option to specify a
file in which to store a transcript of the chat session.
.Pp
To stop remote clients' output from affecting the local client's screen,
the display may be locked.  To toggle the display lock, input a blank line.
Any messages from the server which arrive while the screen is locked will
be buffered, up to 128k worth of data.  Further incoming data is discarded.
.Pp
Pickwick has no command set.  All input is chat input.  The data any one
client inputs is distributed to all clients.  Weller does not perform
line-wrapping at word boundaries.  It leaves the terminal in canonical
mode, and so will not receive an input message until the user presses
[enter].  This also means all editing is accomplished with the standard
terminal Control-H (backspace), Control-W, and Control-U line-editing
commands.
.Pp
If a client sends to Pickwick an input message longer than their
multiplexing quantum (1kib minus the length of the client's user name), it
will get spread across multiple output messages.  All the output messages
will have ellipses appended to them, except for the last one, to indicate
the message has been broken into smaller pieces.
.Pp
Pickwick and Weller were designed to work with 8-bit character sets, but
they will work with UTF-8, with one caveat.  If a long input message is
broken up into multiple output messages, and a break occurs inside a
mult-byte sequence, the broken character would be split over two output
messages, turning it into junk.
.Sh AUTHORS
.An James Bailie Aq jimmy@mammothcheese.ca
.br
http://www.mammothcheese.ca
